4Z API

Create a video generation task

Endpoint: POST https://4zapi.com/luma/generations

Vincent video or Tusheng video. Two request formats are supported:

  • Official format: prompt + keyframes
  • Proxy format: user_prompt + image_url

Official documentation: https://docs.lumalabs.ai/docs/video-generation

Request body (application/json)

  • user_prompt (string, required): Required, prompt word/problem description entered by the user
  • duration (string): The duration only supports 5s
  • expand_prompt (boolean): Optional, prompt word optimization switch
  • image_end_url (string): Optional, target keyframe image
  • image_url (string): Optional, refer to image source
  • loop (boolean): Optional, whether to recycle the reference image
  • model_name (string): The official display of ray-v1 and ray-v2 is ray1.6 ray2
  • notify_hook (string): Optional, callback notification address after processing is completed
  • resolution (string): 720p or 1080p default 720p

Request example

{
  "duration": "5s",
  "model_name": "ray-v2",
  "resolution": "720p",
  "user_prompt": "一阵风吹过树林,使女人的面纱微微飘动。"
}